summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:28 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:28 +0200
commit5ee4aff110f6695f00e8fc2341ae560b2c0ab6db (patch)
tree7b01d423ae60be6438c418692c44e54944bd278a /desktop
parent3bebd36bc39f5acd30f34969d4d43bff78d56d5b (diff)
downloadslackbuilds-5ee4aff110f6695f00e8fc2341ae560b2c0ab6db.tar.gz
slackbuilds-5ee4aff110f6695f00e8fc2341ae560b2c0ab6db.tar.xz
desktop/wmnet: Added to 12.2 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmnet/README8
-rw-r--r--desktop/wmnet/slack-desc19
-rw-r--r--desktop/wmnet/wmnet.SlackBuild73
-rw-r--r--desktop/wmnet/wmnet.info8
4 files changed, 108 insertions, 0 deletions
diff --git a/desktop/wmnet/README b/desktop/wmnet/README
new file mode 100644
index 0000000000..1c632a164f
--- /dev/null
+++ b/desktop/wmnet/README
@@ -0,0 +1,8 @@
+wmnet is Window Maker network monitor dockable application
+
+wmnet polls network statistics and does a few things with the data it
+gets. It has small blinking lights for the rx and tx of IP packets, a
+digital speedometer of your networks current speed and a bar graph
+like xload plotting your throughput.
+
+wmnet hasn't any explicit license.
diff --git a/desktop/wmnet/slack-desc b/desktop/wmnet/slack-desc
new file mode 100644
index 0000000000..349b2a04ab
--- /dev/null
+++ b/desktop/wmnet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmnet: wmnet (Window Maker network monitor dockable application)
+wmnet:
+wmnet: wmnet polls network statistics and does a few things with the data it
+wmnet: gets. It has small blinking lights for the rx and tx of IP packets, a
+wmnet: digital speedometer of your networks current speed and a bar graph
+wmnet: like xload plotting your throughput.
+wmnet:
+wmnet: wmnet hasn't any explicit license.
+wmnet:
+wmnet:
+wmnet:
diff --git a/desktop/wmnet/wmnet.SlackBuild b/desktop/wmnet/wmnet.SlackBuild
new file mode 100644
index 0000000000..dba75abbe2
--- /dev/null
+++ b/desktop/wmnet/wmnet.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for wmnet
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmnet
+VERSION=${VERSION:-1.06}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+xmkmf
+mkdir -p $PKG/usr/man/man1
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+# Copying manual to the correct location
+cp wmnet.man $PKG/usr/man/man1/wmnet.1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmnet/wmnet.info b/desktop/wmnet/wmnet.info
new file mode 100644
index 0000000000..e83e637657
--- /dev/null
+++ b/desktop/wmnet/wmnet.info
@@ -0,0 +1,8 @@
+PRGNAM="wmnet"
+VERSION="1.06"
+HOMEPAGE="http://dockapps.org/file.php/id/77"
+DOWNLOAD="http://dockapps.org/download.php/id/115/wmnet-1.06.tar.gz"
+MD5SUM="64e74c37c0cb5fd4fb81cfb0f5c4a264"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"